## com.java2html
Class JavaDoc

    java.lang.Object
      |
      +--com.java2html.JavaDoc

public class JavaDoc
extends java.lang.Object

Constructor Summary
`JavaDoc()` Required by Ant Task
`JavaDoc(java.io.File localRef)` Used by Java2HTML to communicate a JavaDoc option
`JavaDoc(java.io.File localRef, java.lang.String httpRef)` Used by Java2HTML to communicate a JavaDoc option

Method Summary
`java.lang.String` | `getHttpRef()` Return the Http Reference
`java.io.File` | `getLocalRef()` Retrn the Local Reference
`void` | `setHttpRef(java.lang.String httpRef)` Set the Http Reference
`void` | `setLocalRef(java.io.File localRef)` Set the Local Reference
`void` | `validate()` Validate the this object is in a consistent state

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaDoc

    public JavaDoc()

  Required by Ant Task

### JavaDoc

    public JavaDoc(java.io.File localRef)

  Used by Java2HTML to communicate a JavaDoc option

Parameters:
  `localRef` - Local Reference to a JavaDoc Source, this reference will be used in the generated HTML output.

### JavaDoc

    public JavaDoc(java.io.File localRef,
                   java.lang.String httpRef)

  Used by Java2HTML to communicate a JavaDoc option

Parameters:
  `localRef` - Local Reference to a JavaDoc Source
  `httpRef` - The Http Reference that will be used in the generated HTML

Method Detail

### getHttpRef

    public java.lang.String getHttpRef()

  Return the Http Reference

### getLocalRef

    public java.io.File getLocalRef()

  Retrn the Local Reference

### setHttpRef

    public void setHttpRef(java.lang.String httpRef)

  Set the Http Reference

### setLocalRef

    public void setLocalRef(java.io.File localRef)

  Set the Local Reference

### validate

    public void validate()
                  throws BadOptionException

  Validate the this object is in a consistent state

    `BadOptionException`

Copyright © 2000-2003 Polygon Enterprises. All Rights Reserved.